Sign up now! · Forgot password?
RSS/Atom feed identi.ca Twitter

How to get GIMP 2.8 (Linux)

Product:GIMP
Version:2.8
Platform:Linux

Does GIMP come with Linux distributions?

As GIMP is open-source software, it’s shipped with all major linux distributions, for instance:

  • Debian/GNU
  • Fedora Core
  • OpenSUSE
  • Ubuntu, Kubuntu

Most of them come with GIMP 2.8 already.

Of course it’s always possible to compile GIMP 2.8/2.9 yourself or get it from third-party package sources (if available).

How to install GIMP on Linux

Use your distributions package management tool (it may be called Software Center, YaST, etc.) to install GIMP, if it is not installed already.

Compile GIMP yourself

If there’s no package available for your preferred version, you can always compile GIMP yourself as the source code is available.

Comments

Post your own comments, questions or hints here. The author and other users will see your posting and can reply to it.

Of course, you can also ask in the chat.

Subscription management

Please log in to manage your subscriptions.

*

As a registered user, you can rate articles and comments, attach files to comments, subscribe to topics and you don't need to solve CAPTCHAs anymore.

*…optional

rich2005 member for about 3 years rich2005 1 comment
28 days ago

The ppa's are separate

For 2.8.18
https://launchpad.net/~otto-kesselgulasch/+archive/ubuntu/gimp

and for 2.9 dev packages.
https://launchpad.net/~otto-kesselgulasch/+archive/ubuntu/gimp-edge

Steve Wright
about 1 month ago

Are you aware that the 'default' Linux repository for GIMP (ppa:otto-kesselgulasch/gimp) is making GIMP 2.9, and ONLY GIMP 2.9, available to users on Debian (and likely Red-Hat too) distributions? is there another way, besides compiling from source, that one can get a correct (by that I mean with libraries that re the right version and not overwritten when one installs the application) installation of the stable GIMP 2.8 instead if a GIMP 2.9 that, in my case, fades silently out after I close the last image window I have open?

Are the GIMP users who weren't savvy enough to back up their GIMP 2.8 libraries to wait for the -- hopefully stable -- GIMP 2.8.10 before using an "off-the-rack" GIMP again? I hope not.

Steve Wright
auch tesquincrydd@gmail.com

SAndeep
over 3 years ago

Goog

lobard
over 4 years ago

thanks

gimp fan
over 4 years ago

how about some binarys

wenny
over 5 years ago

thx